Page MenuHome

Fully revert D7913 "Fix T77276: Generating Python API docs raises many warnings"
ClosedPublic

Authored by Max Schlecht (Bobbe) on Sep 16 2020, 8:31 PM.

Details

Summary

D7913: Fix T77276: Generating Python API docs raises lots of warnings about duplicate object definitions broke xrefs/links to other types and permalinks in the docs. This makes the python api docs for 2.90 and 2.91 completely unusable.
It got partially reverted in commit e893430a6306ded059270e7df9d78180cdc0d9e3. That didn't fix those two issues though, so it should be fully reverted.

As you can see here, i'm not able to click bpy_struct.id_data, because no <a> tag got generated in the html.

Here you can see a working, but wrong permalink, generated by clicking the little chain. (It should be bpy.types.MeshVertices, not bpy.types.MeshVertices.MeshVertices)

Diff Detail

Repository
rB Blender

Event Timeline

Max Schlecht (Bobbe) requested review of this revision.Sep 16 2020, 8:31 PM
Max Schlecht (Bobbe) created this revision.
Max Schlecht (Bobbe) edited the summary of this revision. (Show Details)
Max Schlecht (Bobbe) retitled this revision from Fully revert "Fix T77276: Generating Python API docs raises many warnings" to Fully revert D7913 "Fix T77276: Generating Python API docs raises many warnings".Sep 16 2020, 8:35 PM

I'm okay with the change but the underlying issue of T77276 still needs to be fixed

Max Schlecht (Bobbe) edited the summary of this revision. (Show Details)Sep 19 2020, 6:06 PM

I'm okay with the change but the underlying issue of T77276 still needs to be fixed

I agree, but i sadly don't really know much about sphinx, so i'm not sure how. Fixing the missing links in the docs is definitely more important than fixing the warnings when building them though.

This revision is now accepted and ready to land.Sep 25 2020, 5:04 AM
This revision was automatically updated to reflect the committed changes.